Pular para o conteúdo

Índice de operações v1

API · v1 · Produção · Revisado em · Markdown

Produção e homologação: 143 operações administrativas. Cada ambiente possui dados e credenciais próprios. Exemplos de chamadas usam homologação por padrão. OAuth e MCP ainda indisponíveis. Veja versões, console e contratos para download.

Método Caminho Permissão Referência
GET /me identity:read getMe
PATCH /me profile:update updateMe
GET /me/preferences preferences:read getMePreferences
PATCH /me/preferences preferences:update updateMePreferences
POST /api-keys api_keys:create createApiKeys
GET /api-keys api_keys:read getApiKeys
GET /api-keys/{keyId} api_keys:read getApiKeysKeyId
PATCH /api-keys/{keyId} api_keys:update updateApiKeysKeyId
DELETE /api-keys/{keyId} api_keys:delete deleteApiKeysKeyId
GET /links links:read getLinks
POST /links links:create createLinks
GET /links/{linkId} links:read getLinksLinkId
PATCH /links/{linkId} links:update updateLinksLinkId
DELETE /links/{linkId} links:delete deleteLinksLinkId
GET /operations/{operationId} operations:read getOperationsOperationId
POST /api-keys/{keyId}/rotate api_keys:rotate rotateApiKeysKeyId
GET /capabilities capabilities:read getCapabilities
GET /apps/{appId}/capabilities capabilities:read getAppsAppIdCapabilities
GET /apps/{appId}/usage usage:read getAppsAppIdUsage
GET /audit-events audit_events:read getAuditEvents
GET /requests requests:read getRequests
POST /operations/{operationId}/cancel operations:cancel cancelOperationsOperationId
GET /apps apps:read getApps
POST /apps apps:create createApps
GET /apps/{appId} apps:read getAppsAppId
PATCH /apps/{appId} apps:update updateAppsAppId
DELETE /apps/{appId} apps:delete deleteAppsAppId
GET /apps/{appId}/defaults apps:read getAppsAppIdDefaults
PUT /apps/{appId}/defaults apps:update setAppsAppIdDefaults
GET /apps/{appId}/logo apps:read getAppsAppIdLogo
PUT /apps/{appId}/logo apps:update setAppsAppIdLogo
DELETE /apps/{appId}/logo apps:update deleteAppsAppIdLogo
POST /links/{linkId}/duplicate links:create duplicateLinksLinkId
POST /links/validate links:validate validateLinks
GET /links/availability links:read getLinksAvailability
POST /links/{linkId}/preview links:preview previewLinksLinkId
GET /links/{linkId}/publication links:read getLinksLinkIdPublication
POST /links/{linkId}/resync links:resync resyncLinksLinkId
GET /assets assets:read getAssets
POST /assets assets:create createAssets
GET /assets/{assetId} assets:read getAssetsAssetId
DELETE /assets/{assetId} assets:delete deleteAssetsAssetId
GET /domains domains:read getDomains
POST /domains domains:create createDomains
GET /domains/{domainId} domains:read getDomainsDomainId
DELETE /domains/{domainId} domains:delete deleteDomainsDomainId
GET /domains/{domainId}/capabilities capabilities:read getDomainsDomainIdCapabilities
POST /domains/{domainId}/verify domains:verify verifyDomainsDomainId
GET /domains/{domainId}/native-config native_config:read getDomainsDomainIdNativeConfig
PUT /domains/{domainId}/native-config native_config:update setDomainsDomainIdNativeConfig
GET /domains/{domainId}/web-config web_config:read getDomainsDomainIdWebConfig
PUT /domains/{domainId}/web-config web_config:update setDomainsDomainIdWebConfig
GET /domains/{domainId}/recovery-config recovery_config:read getDomainsDomainIdRecoveryConfig
PUT /domains/{domainId}/recovery-config recovery_config:update setDomainsDomainIdRecoveryConfig
GET /domains/{domainId}/diagnostics domains:read getDomainsDomainIdDiagnostics
GET /domain-options domains:read getDomainOptions
GET /domains/{domainId}/dns-records dns:read getDomainsDomainIdDnsRecords
POST /domains/{domainId}/dns-records dns:create createDomainsDomainIdDnsRecords
PATCH /domains/{domainId}/dns-records/{recordId} dns:update updateDomainsDomainIdDnsRecordsRecordId
DELETE /domains/{domainId}/dns-records/{recordId} dns:delete deleteDomainsDomainIdDnsRecordsRecordId
GET /apps/{appId}/template-defaults template_bindings:read getAppsAppIdTemplateDefaults
PUT /apps/{appId}/template-defaults template_bindings:update setAppsAppIdTemplateDefaults
GET /domains/{domainId}/template-defaults template_bindings:read getDomainsDomainIdTemplateDefaults
PUT /domains/{domainId}/template-defaults template_bindings:update setDomainsDomainIdTemplateDefaults
GET /links/{linkId}/template-selection template_bindings:read getLinksLinkIdTemplateSelection
PUT /links/{linkId}/template-selection template_bindings:update setLinksLinkIdTemplateSelection
GET /template-catalog templates:read getTemplateCatalog
GET /template-catalog/{baseId}/schema templates:read getTemplateCatalogBaseIdSchema
GET /template-choices templates:read getTemplateChoices
GET /templates templates:read getTemplates
POST /templates templates:create createTemplates
GET /templates/{templateId} templates:read getTemplatesTemplateId
PATCH /templates/{templateId} templates:update updateTemplatesTemplateId
POST /templates/{templateId}/duplicate templates:create duplicateTemplatesTemplateId
GET /templates/{templateId}/draft templates:read getTemplatesTemplateIdDraft
PUT /templates/{templateId}/draft templates:update setTemplatesTemplateIdDraft
POST /templates/{templateId}/validate templates:validate validateTemplatesTemplateId
POST /templates/{templateId}/preview templates:preview previewTemplatesTemplateId
GET /templates/{templateId}/versions templates:read getTemplatesTemplateIdVersions
POST /templates/{templateId}/versions templates:snapshot createTemplatesTemplateIdVersions
GET /templates/{templateId}/versions/{version} templates:read getTemplatesTemplateIdVersionsVersion
GET /templates/{templateId}/availability templates:read getTemplatesTemplateIdAvailability
POST /templates/{templateId}/publish templates:publish publishTemplatesTemplateId
POST /templates/{templateId}/restore templates:publish restoreTemplatesTemplateId
GET /template-publications templates:read getTemplatePublications
GET /template-publications/{publicationId} templates:read getTemplatePublicationsPublicationId
POST /template-publications/{publicationId}/retry templates:retry retryTemplatePublicationsPublicationId
GET /analytics/summary analytics:read getAnalyticsSummary
GET /analytics/timeseries analytics:read getAnalyticsTimeseries
GET /analytics/breakdown analytics:read getAnalyticsBreakdown
GET /analytics/top-links analytics:read getAnalyticsTopLinks
GET /analytics/events analytics:read getAnalyticsEvents
GET /analytics/native analytics:read getAnalyticsNative
GET /analytics/recovery analytics:read getAnalyticsRecovery
GET /links/{linkId}/history link_history:read getLinksLinkIdHistory
GET /links/{linkId}/tags tags:read getLinksLinkIdTags
PUT /links/{linkId}/tags tags:update setLinksLinkIdTags
GET /links/{linkId}/routing-rules routing_rules:read getLinksLinkIdRoutingRules
PUT /links/{linkId}/routing-rules routing_rules:update setLinksLinkIdRoutingRules
GET /tags tags:read getTags
POST /tags tags:create createTags
GET /tags/{tagId} tags:read getTagsTagId
PATCH /tags/{tagId} tags:update updateTagsTagId
DELETE /tags/{tagId} tags:delete deleteTagsTagId
GET /folders folders:read getFolders
POST /folders folders:create createFolders
GET /folders/{folderId} folders:read getFoldersFolderId
PATCH /folders/{folderId} folders:update updateFoldersFolderId
DELETE /folders/{folderId} folders:delete deleteFoldersFolderId
GET /campaigns campaigns:read getCampaigns
POST /campaigns campaigns:create createCampaigns
GET /campaigns/{campaignId} campaigns:read getCampaignsCampaignId
PATCH /campaigns/{campaignId} campaigns:update updateCampaignsCampaignId
DELETE /campaigns/{campaignId} campaigns:delete deleteCampaignsCampaignId
GET /campaigns/{campaignId}/links campaigns:read getCampaignsCampaignIdLinks
GET /analytics/campaigns/{campaignId} analytics:read getAnalyticsCampaignsCampaignId
GET /links/{linkId}/qr qr_codes:read getLinksLinkIdQr
GET /qr-codes qr_codes:read getQrCodes
POST /qr-codes qr_codes:create createQrCodes
GET /qr-codes/{qrId} qr_codes:read getQrCodesQrId
PATCH /qr-codes/{qrId} qr_codes:update updateQrCodesQrId
DELETE /qr-codes/{qrId} qr_codes:delete deleteQrCodesQrId
GET /qr-codes/{qrId}/download qr_codes:read getQrCodesQrIdDownload
POST /exports exports:create createExports
GET /exports/{exportId} exports:read getExportsExportId
GET /exports/{exportId}/download exports:read getExportsExportIdDownload
POST /link-batches batches:create createLinkBatches
GET /link-batches/{batchId}/items batches:read getLinkBatchesBatchIdItems
POST /imports imports:create createImports
POST /imports/{importId}/validate imports:validate validateImportsImportId
POST /imports/{importId}/commit imports:commit commitImportsImportId
GET /imports/{importId} imports:read getImportsImportId
GET /imports/{importId}/items imports:read getImportsImportIdItems
GET /webhooks webhooks:read getWebhooks
POST /webhooks webhooks:create createWebhooks
GET /webhooks/{webhookId} webhooks:read getWebhooksWebhookId
PATCH /webhooks/{webhookId} webhooks:update updateWebhooksWebhookId
DELETE /webhooks/{webhookId} webhooks:delete deleteWebhooksWebhookId
POST /webhooks/{webhookId}/rotate-secret webhooks:rotate_secret rotateSecretWebhooksWebhookId
POST /webhooks/{webhookId}/test webhooks:test testWebhooksWebhookId
GET /webhooks/{webhookId}/deliveries webhooks:read getWebhooksWebhookIdDeliveries
GET /webhook-deliveries/{deliveryId} webhooks:read getWebhookDeliveriesDeliveryId
POST /webhook-deliveries/{deliveryId}/retry webhooks:retry retryWebhookDeliveriesDeliveryId